#pragma once
#include "Entity.h"
#define CS_POWERROOM_WAVE_CREATENAME L"CS_powerroom_wave"
class CS_PowerRoom_Wave :
    public Entity
{
public:
    CS_PowerRoom_Wave();
    void Step() override;
    int ani_wait = 0;
};

std::shared_ptr<Entity> CreateCS_PowerRoom_Wave();